//
//  ViewController.m
//  CATransition
//
//  Created by Christopher on 9/7/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    UIView *view1 = [[UIView alloc]initWithFrame:[UIScreen
                                                  mainScreen].bounds];
    view1.backgroundColor = [UIColor yellowColor];
    [self.view addSubview:view1];
    
    UIView *view2 = [[UIView alloc]initWithFrame:[UIScreen
                                                  mainScreen].bounds];
    view2.backgroundColor = [UIColor cyanColor];
    [self.view addSubview:view2];
    
    UIButton *button = [UIButton
                        buttonWithType:UIButtonTypeRoundedRect];
    [button setTitle:@"页面切换" forState:UIControlStateNormal];
    button.frame = CGRectMake(120, 140, 100, 40);
    [button addTarget:self action:@selector(change)
     forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:button];
}

- (void)change
{
//    //标志动画块开始
//    [UIView beginAnimations:@"animation" context:nil];
//    [UIView setAnimationDuration:1.0f];
//    //设置动画的速率
//    [UIView setAnimationDelay:1];
//    [UIView setAnimationCurve:UIViewAnimationCurveEaseInOut];
//    [UIView setAnimationTransition:UIViewAnimationTransitionFlipFromRight
//                           forView:self.view cache:YES];
//    [self.view exchangeSubviewAtIndex:1 withSubviewAtIndex:0];
//    //标志动画块结束
//    [UIView commitAnimations];
    CATransition *transition = [CATransition animation];
    transition.duration = 1.0f;
    [transition setType:@"rippleEffect"];
    [self.view exchangeSubviewAtIndex:1 withSubviewAtIndex:0];
    [self.view.layer addAnimation:transition forKey:@"animation"];

}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
